Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl
Class WsdlTestSuite

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.TestSuiteConfig>
              com.eviware.soapui.impl.wsdl.WsdlTestSuite

All Implemented Interfaces:
  ModelItem, TestSuite, PropertyChangeNotifier

    public class WsdlTestSuite

extends AbstractWsdlModelItem<com.eviware.soapui.config.TestSuiteConfig>
implements TestSuite

TestSuite implementation for WSDL projects.

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Nested classes/interfaces inherited from interface com.eviware.soapui.model.testsuite.TestSuite
`TestSuite.TestSuiteRunType`

Field Summary

Fields inherited from interface com.eviware.soapui.model.testsuite.TestSuite
`RUNTYPE_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlTestSuite(WsdlProject project, com.eviware.soapui.config.TestSuiteConfig config)`

Method Summary
`WsdlTestCase` | `addNewTestCase(java.lang.String name)`
`void` | `addTestSuiteListener(TestSuiteListener listener)`
`WsdlTestCase` | `cloneTestCase(WsdlTestCase testCase, java.lang.String name)`
`void` | `fireLoadTestAdded(WsdlLoadTest loadTest)`
`void` | `fireLoadTestRemoved(WsdlLoadTest loadTest)`
`void` | `fireTestCaseAdded(WsdlTestCase testCase)`
`void` | `fireTestCaseRemoved(WsdlTestCase testCase)`
`void` | `fireTestStepAdded(WsdlTestStep testStep, int index)`
`void` | `fireTestStepMoved(WsdlTestStep testStep, int ix, int offset)`
`void` | `fireTestStepRemoved(WsdlTestStep testStep, int ix)`
`int` | `getIndexOfTestCase(TestCase testCase)`
`WsdlProject` | `getProject()`
`TestSuite.TestSuiteRunType` | `getRunType()`
`WsdlTestCase` | `getTestCaseAt(int index)`
`WsdlTestCase` | `getTestCaseByName(java.lang.String testCaseName)`
`int` | `getTestCaseCount()`
`int` | `getTestCaseIndex(TestCase testCase)`
`java.util.List<TestCase>` | `getTestCaseList()`
`WsdlTestCase` | `importTestCase(WsdlTestCase testCase, java.lang.String name, int index, boolean includeLoadTests)`
`WsdlTestCase` | `moveTestCase(int ix, int offset)` Moves a testcase by the specified offset, a bit awkward since xmlbeans doesn't support reordering of arrays, we need to create copies of the contained XmlObjects
`void` | `onSave()`
`void` | `release()`
`void` | `removeTestCase(WsdlTestCase testCase)`
`void` | `removeTestSuiteListener(TestSuiteListener listener)`
`void` | `setRunType(TestSuite.TestSuiteRunType runType)`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getIcon, getName, getParent, getSettings, getWsdlModelItemByName, setConfig, setDescription, setIcon, setName, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### WsdlTestSuite

    public WsdlTestSuite(WsdlProject project,
                         com.eviware.soapui.config.TestSuiteConfig config)

Method Detail

### getRunType

    public TestSuite.TestSuiteRunType getRunType()

  Specified by:
    `getRunType` in interface `TestSuite`

### setRunType

    public void setRunType(TestSuite.TestSuiteRunType runType)

### getProject

    public WsdlProject getProject()

  Specified by:
    `getProject` in interface `TestSuite`

### getTestCaseCount

    public int getTestCaseCount()

  Specified by:
    `getTestCaseCount` in interface `TestSuite`

### getTestCaseAt

    public WsdlTestCase getTestCaseAt(int index)

  Specified by:
    `getTestCaseAt` in interface `TestSuite`

### getTestCaseByName

    public WsdlTestCase getTestCaseByName(java.lang.String testCaseName)

  Specified by:
    `getTestCaseByName` in interface `TestSuite`

### cloneTestCase

    public WsdlTestCase cloneTestCase(WsdlTestCase testCase,
                                      java.lang.String name)

### addNewTestCase

    public WsdlTestCase addNewTestCase(java.lang.String name)

### importTestCase

    public WsdlTestCase importTestCase(WsdlTestCase testCase,
                                       java.lang.String name,
                                       int index,
                                       boolean includeLoadTests)

### removeTestCase

    public void removeTestCase(WsdlTestCase testCase)

### fireTestCaseAdded

    public void fireTestCaseAdded(WsdlTestCase testCase)

### fireTestCaseRemoved

    public void fireTestCaseRemoved(WsdlTestCase testCase)

### fireTestStepAdded

    public void fireTestStepAdded(WsdlTestStep testStep,
                                  int index)

### fireTestStepRemoved

    public void fireTestStepRemoved(WsdlTestStep testStep,
                                    int ix)

### fireTestStepMoved

    public void fireTestStepMoved(WsdlTestStep testStep,
                                  int ix,
                                  int offset)

### fireLoadTestAdded

    public void fireLoadTestAdded(WsdlLoadTest loadTest)

### fireLoadTestRemoved

    public void fireLoadTestRemoved(WsdlLoadTest loadTest)

### addTestSuiteListener

    public void addTestSuiteListener(TestSuiteListener listener)

  Specified by:
    `addTestSuiteListener` in interface `TestSuite`

### removeTestSuiteListener

    public void removeTestSuiteListener(TestSuiteListener listener)

  Specified by:
    `removeTestSuiteListener` in interface `TestSuite`

### getTestCaseIndex

    public int getTestCaseIndex(TestCase testCase)

### release

    public void release()

  Overrides:
    `release` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestSuiteConfig>`

### getTestCaseList

    public java.util.List<TestCase> getTestCaseList()

  Specified by:
    `getTestCaseList` in interface `TestSuite`

### moveTestCase

    public WsdlTestCase moveTestCase(int ix,
                                     int offset)

  Moves a testcase by the specified offset, a bit awkward since xmlbeans doesn't support reordering of arrays, we need to create copies of the contained XmlObjects

  Parameters:
    `ix` -
    `offset` -

### getIndexOfTestCase

    public int getIndexOfTestCase(TestCase testCase)

  Specified by:
    `getIndexOfTestCase` in interface `TestSuite`

### onSave

    public void onSave()

  Overrides:
    `onSave` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestSuiteConfig>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.